Subject: Re: bug#65470: 29.1.50; js-ts-mode: regex pattern can cause incorrect parenthesis matching

From: Eli Zaretskii <[email-masked]>
Date: Thu, 31 Aug 2023 12:41:13 +0300

> Date: Sun, 27 Aug 2023 00:45:19 +0300
> Cc: Theodor Thornhill <[email-masked]>, Eli Zaretskii <[email-masked]>,
>  Jostein Kjønigsen <[email-masked]>, [email-masked],
>  [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 27/08/2023 00:13, Jostein Kjønigsen wrote:
> > I don’t really work with JSX and don’t think have a “idiomatic” code base to try it on where I would notice brokenness.
> > 
> > I think this would be better handled by people more experienced with both JSX and our JSX code base than I am.
> 
> Just checking that viewing some JSX code in .tsx files doesn't show 
> errors in Messages might be good enough.
> 
> I tried that with javascript, didn't notice any problems so far.

I'm a bit confused by this discussion.  Should I install the patch on
the emacs-29 branch now, or are you still discussing whether it's
correct?